Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class DeceaseHistoryType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.HistoryType
          be.fgov.ehealth.consultrn._1_0.core.DeceaseHistoryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class DeceaseHistoryType

extends HistoryType
implements Serializable

Java class for DeceaseHistoryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeceaseHistoryType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:core}HistoryType">
           <sequence>
             <element name="Decease" type="{urn:be:fgov:ehealth:consultRN:1_0:core}BirthDeceaseType"/>
             <element name="ActNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeceaseHistoryType()`

Method Summary
`BigInteger` | `getActNumber()` Gets the value of the actNumber property.
`BirthDeceaseType` | `getDecease()` Gets the value of the decease property.
`void` | `setActNumber(BigInteger value)` Sets the value of the actNumber property.
`void` | `setDecease(BirthDeceaseType value)` Sets the value of the decease property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.core.HistoryType
`getEffectuationDate, getModificationDate, getSource, setEffectuationDate, setModificationDate, setSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeceaseHistoryType

    public DeceaseHistoryType()

Method Detail

### getDecease

    public BirthDeceaseType getDecease()

  Gets the value of the decease property.

  Returns:
    possible object is `BirthDeceaseType`

### setDecease

    public void setDecease(BirthDeceaseType value)

  Sets the value of the decease property.

  Parameters:
    `value` - allowed object is `BirthDeceaseType`

### getActNumber

    public BigInteger getActNumber()

  Gets the value of the actNumber property.

  Returns:
    possible object is `BigInteger`

### setActNumber

    public void setActNumber(BigInteger value)

  Sets the value of the actNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.